Show / Hide Table of Contents

# Struct InventoryItem

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct InventoryItem

### Fields

| Improve this Doc View Source

#### Condition

##### Declaration

    public ushort Condition

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Container

##### Declaration

    public InventoryType Container

##### Field Value

Type | Description
--- | ---
InventoryType |

| Improve this Doc View Source

#### CrafterContentID

##### Declaration

    public ulong CrafterContentID

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Flags

##### Declaration

    public InventoryItem.ItemFlags Flags

##### Field Value

Type | Description
--- | ---
InventoryItem.ItemFlags |

| Improve this Doc View Source

#### GlamourID

##### Declaration

    public uint GlamourID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ItemID

##### Declaration

    public uint ItemID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Materia

##### Declaration

    public ushort *Materia

##### Field Value

Type | Description
--- | ---
System.UInt16* |

| Improve this Doc View Source

#### MateriaGrade

##### Declaration

    public byte *MateriaGrade

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Quantity

##### Declaration

    public uint Quantity

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Slot

##### Declaration

    public short Slot

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### Spiritbond

##### Declaration

    public ushort Spiritbond

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Stain

##### Declaration

    public byte Stain

##### Field Value

Type | Description
--- | ---
System.Byte |